> For the complete documentation index, see [llms.txt](https://docs.altum.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.altum.ai/woningdata/auto-suggestie-api/fuzzy-search-support.md).

# Fuzzy Search Support

Gedetailleerde uitleg van Fuzzy Search

De Autosuggestie API bevat een optionele 'fuzzy' parameter, een Booleaanse waarde, in zijn GET-verzoek. Deze parameter maakt de implementatie van fuzzy search mogelijk als deze is ingesteld op 'true', 'yes' of 1. Fuzzy search vergemakkelijkt de ontdekking van geschatte overeenkomsten op basis van de Levenshtein-bewerkingsafstand. In wezen geeft de Levenshtein-afstand het aantal invoegingen, verwijderingen, vervangingen en transposities aan dat nodig is om twee strings gelijk te maken. De Levenshtein-afstand tussen "ax" en "axe" is bijvoorbeeld 1, wat een enkele verwijderingsnoodzaak weerspiegelt.

Als er geen fuzzy-zoekopdracht is, zou een zoekopdracht als 'amster' met behulp van de Auto-suggest API overeenkomsten als Amsterdam retourneren - omdat het standaard zoekzinalgoritme in het spel is. Maar als fuzzy search aanstaat, krijg je reacties als 'Amstel'. Dit komt doordat 'Amstel', vergeleken met Amsterdam, minder aanpassingen nodig heeft om bij 'amster' te passen. Concreet vereist 'Amstel' alleen het vervangen van 'l' door 'r', terwijl voor Amsterdam drie tekens moeten worden verwijderd. Daarom scoort 'Amstel' bij fuzzy zoeken hoger dan 'Amsterdam', aangezien er minder wijzigingen nodig zijn om aan de zoekopdracht 'amster' te voldoen.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.altum.ai/woningdata/auto-suggestie-api/fuzzy-search-support.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
